test: _MMINFO_COUNTERS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _MMINFO_COUNTERS Struct Reference

`#include <mm.h>`

List of all members.

## Public Attributes

ULONG | PageFaultCount
ULONG | CopyOnWriteCount
ULONG | TransitionCount
ULONG | CacheTransitionCount
ULONG | DemandZeroCount
ULONG | PageReadCount
ULONG | PageReadIoCount
ULONG | CacheReadCount
ULONG | CacheIoCount
ULONG | DirtyPagesWriteCount
ULONG | DirtyWriteIoCount
ULONG | MappedPagesWriteCount
ULONG | MappedWriteIoCount

## Member Data Documentation

ULONG _MMINFO_COUNTERS::CacheIoCount

| Definition at line 466 of file mm.h. Referenced by NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::CacheReadCount

| Definition at line 465 of file mm.h. Referenced by NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::CacheTransitionCount

| Definition at line 461 of file mm.h. Referenced by NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::CopyOnWriteCount

| Definition at line 459 of file mm.h. Referenced by MiCopyOnWrite(), MiSessionCopyOnWrite(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::DemandZeroCount

| Definition at line 462 of file mm.h. Referenced by MiResolveDemandZeroFault(), MmAccessFault(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::DirtyPagesWriteCount

| Definition at line 467 of file mm.h. Referenced by MiGatherPagefilePages(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::DirtyWriteIoCount

| Definition at line 468 of file mm.h. Referenced by MiGatherPagefilePages(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::MappedPagesWriteCount

| Definition at line 469 of file mm.h. Referenced by MiGatherMappedPages(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::MappedWriteIoCount

| Definition at line 470 of file mm.h. Referenced by MiGatherMappedPages(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::PageFaultCount

| Definition at line 458 of file mm.h. Referenced by MiCheckAndSetSystemTrimCriteria(), MiLocateAndReserveWsle(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::PageReadCount

| Definition at line 463 of file mm.h. Referenced by MiResolveMappedFileFault(), MiResolvePageFileFault(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::PageReadIoCount

| Definition at line 464 of file mm.h. Referenced by MiResolveMappedFileFault(), MiResolvePageFileFault(), and NtQuerySystemInformation().

ULONG _MMINFO_COUNTERS::TransitionCount

| Definition at line 460 of file mm.h. Referenced by MiResolveProtoPteFault(), MiResolveTransitionFault(), and NtQuerySystemInformation().

The documentation for this struct was generated from the following file:

- mm.h